Index: devel/apr0/Portfile
===================================================================
--- devel/apr0/Portfile	(revision 76559)
+++ devel/apr0/Portfile	(working copy)
@@ -2,7 +2,7 @@
 
 PortSystem	1.0
 name		apr0
-version		0.9.17
+version		0.9.19
 categories	devel
 maintainers	blair
 platforms	darwin
@@ -20,8 +20,10 @@
 
 distname	apr-${version}
 use_bzip2	yes
-checksums	md5 cbeb635755165c800f7be5e059027318
 
+checksums	sha1    bde09166e9d9876715201ee0dbe3e7f69aa551a0 \
+			rmd160  141119b4b07892bc0008f73cf34508cbb7492f9c
+
 configure.args	--with-installbuilddir=${prefix}/share/apr-0/build
 
 test.run	yes
@@ -32,18 +34,6 @@
 	delete ${destroot}${prefix}/lib/apr.exp
 }
 
-platform darwin 9 {
-	post-configure {
-		reinplace {s|\(#define APR_HAS_SENDFILE[[:space:]]*\)1|\1 0|} ${worksrcpath}/include/apr.h
-	}
-}
-
-platform darwin 10 {
-	post-configure {
-		reinplace {s|\(#define APR_HAS_SENDFILE[[:space:]]*\)1|\1 0|} ${worksrcpath}/include/apr.h
-	}
-}
-
 livecheck.type	regex
 livecheck.url	http://www.apache.org/dist/apr/
 livecheck.regex	APR (0\\.\[0-9.\]+)
Index: devel/apr-util0/Portfile
===================================================================
--- devel/apr-util0/Portfile	(revision 76559)
+++ devel/apr-util0/Portfile	(working copy)
@@ -2,7 +2,7 @@
 
 PortSystem 1.0
 name		apr-util0
-version		0.9.15
+version		0.9.19
 categories	devel
 maintainers	blair
 platforms	darwin
@@ -19,13 +19,15 @@
 
 distname	apr-util-${version}
 use_bzip2	yes
-checksums	md5 8e1427f63379d4ebd6de525e5b242dc3
 
-depends_lib	port:apr0 port:expat port:libiconv port:db44
+checksums	sha1    5ffcdd98ebbc7e7d9da5029cf7fac2744901bb50 \
+			rmd160  2f03d05f9a0a32158f31a820b75eca5dd3fbb60c
 
+depends_lib	port:apr0 port:expat port:libiconv port:db46
+
 configure.args	--with-apr=${prefix}/bin/apr-config --with-expat=${prefix} \
 		--with-iconv=${prefix} \
-		--with-berkeley-db=${prefix}/include:${prefix}/lib/db44 \
+		--with-berkeley-db=${prefix}/include:${prefix}/lib/db46 \
 		--without-mysql --without-pgsql
 
 test.run	yes
@@ -37,8 +39,8 @@
 }
 
 variant no_bdb	{
-			depends_lib-delete	port:db44
-			configure.args-delete	--with-berkeley-db=${prefix}/include:${prefix}/lib/db44
+			depends_lib-delete	port:db46
+			configure.args-delete	--with-berkeley-db=${prefix}/include:${prefix}/lib/db46
 			configure.args-append	--without-berkeley-db
 		}
 
@@ -50,7 +52,7 @@
 			}
 
 #pre-configure	{
-#			reinplace "s|^Libs: |Libs: -L${prefix}/lib/db44 |" $worksrcpath/apr-util.pc.in
+#			reinplace "s|^Libs: |Libs: -L${prefix}/lib/db46 |" $worksrcpath/apr-util.pc.in
 #		}
 
 livecheck.type	regex
Index: www/apache20/files/patch-openssl-1.0.0.diff
===================================================================
--- www/apache20/files/patch-openssl-1.0.0.diff	(revision 76559)
+++ www/apache20/files/patch-openssl-1.0.0.diff	(working copy)
@@ -1,13 +1,13 @@
---- modules/ssl/ssl_engine_init.c.orig	2007-12-29 00:07:53.000000000 +0900
-+++ modules/ssl/ssl_engine_init.c	2010-05-01 22:17:22.000000000 +0900
-@@ -531,7 +531,7 @@
+--- modules/ssl/ssl_engine_init.c.orig	2010-09-28 10:59:13.000000000 -0500
++++ modules/ssl/ssl_engine_init.c	2011-02-28 00:58:37.000000000 -0600
+@@ -535,7 +535,7 @@
              ssl_die();
          }
-
+ 
 -        SSL_CTX_set_client_CA_list(ctx, (STACK *)ca_list);
 +        SSL_CTX_set_client_CA_list(ctx, ca_list);
      }
-
+ 
      /*
 --- modules/ssl/ssl_util_ssl.c.orig	2006-07-12 16:40:55.000000000 +0900
 +++ modules/ssl/ssl_util_ssl.c	2010-05-01 22:20:18.000000000 +0900
@@ -35,6 +35,6 @@
      int n;
 -    STACK *extra_certs;
 +    STACK_OF(X509) *extra_certs;
-
+ 
      if ((bio = BIO_new(BIO_s_file_internal())) == NULL)
          return -1;
Index: www/apache20/Portfile
===================================================================
--- www/apache20/Portfile	(revision 76559)
+++ www/apache20/Portfile	(working copy)
@@ -19,8 +19,7 @@
 PortSystem 1.0
 
 name             apache20
-version          2.0.63
-revision        1
+version          2.0.64
 
 categories       www
 maintainers      blair
@@ -57,22 +56,25 @@
 
 master_sites     apache:httpd
 distname         httpd-${version}
-checksums        md5 c7924ebe95f9f66c9f80c0f9d4012152 \
-                 sha1 20e2b64944e38e96491af788a37cb709d2c5b755 \
-                 rmd160 f6a7de59860f627ac40b245fcf742fb07e1b4870
 use_bzip2        yes
 
+checksums        sha1    eeabe0fb428d9f11ce00559ff163740c6ceabf1c \
+                 rmd160  6a4bfe4dfc4119a70cabbec2e0865dc2f12e8ec4
+
 depends_lib      port:apr0 \
                  port:apr-util0 \
                  port:expat \
 		 port:openssl \
-	 	 port:pcre
+                 port:pcre \
+                 port:perl5
 
 patchfiles       patch-httpd-std.conf.in \
+                 patch-docs-cgi-examples-printenv.diff \
                  patch-openssl-1.0.0.diff
 
 platform darwin {
 	post-patch {
+		reinplace "s|@PREFIX@|${prefix}|g" ${worksrcpath}/docs/cgi-examples/printenv
 		# Customize userdir naming to match darwin
 		reinplace "s|/home/|/Users/|g" ${worksrcpath}/docs/conf/httpd-std.conf.in
 		reinplace "s|public_html|Sites|g" ${worksrcpath}/docs/conf/httpd-std.conf.in