Index: /Users/raim/src/macports/trunk/dports/devel/bzr/files/patch-no-apport.diff
===================================================================
--- /Users/raim/src/macports/trunk/dports/devel/bzr/files/patch-no-apport.diff	(revision 76877)
+++ /Users/raim/src/macports/trunk/dports/devel/bzr/files/patch-no-apport.diff	(working copy)
@@ -1,22 +0,0 @@
---- setup.py.orig	2010-08-13 14:03:11.000000000 +0200
-+++ setup.py	2010-08-13 14:03:26.000000000 +0200
-@@ -727,19 +727,6 @@
-         # easy_install one
-         DATA_FILES = [('share/man/man1', ['bzr.1'])]
- 
--    if sys.platform != 'win32':
--        # see https://wiki.kubuntu.org/Apport/DeveloperHowTo
--        #
--        # checking the paths and hardcoding the check for root is a bit gross,
--        # but I don't see a cleaner way to find out the locations in a way
--        # that's going to align with the hardcoded paths in apport.
--        if os.geteuid() == 0:
--            DATA_FILES += [
--                ('/usr/share/apport/package-hooks',
--                    ['apport/source_bzr.py']),
--                ('/etc/apport/crashdb.conf.d/',
--                    ['apport/bzr-crashdb.conf']),]
--
-     # std setup
-     ARGS = {'scripts': ['bzr'],
-             'data_files': DATA_FILES,
Index: /Users/raim/src/macports/trunk/dports/devel/bzr/Portfile
===================================================================
--- /Users/raim/src/macports/trunk/dports/devel/bzr/Portfile	(revision 76877)
+++ /Users/raim/src/macports/trunk/dports/devel/bzr/Portfile	(working copy)
@@ -1,10 +1,10 @@
 # $Id$
 
 PortSystem    1.0
-PortGroup     python26 1.0
+PortGroup     python27 1.0
 
 name          bzr
-version       2.2.3
+version       2.3.1
 set branch    [join [lrange [split ${version} .] 0 1] .]
 categories    devel python
 platforms     darwin
@@ -22,18 +22,17 @@
 homepage      http://bazaar-vcs.org/
 master_sites  https://launchpad.net/${name}/${branch}/${version}/+download/
 
-checksums     md5     d02728376b35600323d309998e58e1fb \
-              sha1    dbeec869546a18c1a58089e0461f01b254603be7 \
-              rmd160  67d65a1fdf7ba88425b5fa7267341c0b4feb45d9
-
-patchfiles    patch-setup.py.diff \
-              patch-no-apport.diff
-
-depends_lib-append  port:py26-paramiko \
-                    port:py26-crypto \
-                    port:py26-curl \
-                    port:py26-docutils \
-                    port:py26-pyrex
+checksums     md5     1a4367ce59a2880f321ecb882e195856 \
+              sha1    49b9dfb5a01ffd87a120f8a7abf4833a482ba245 \
+              rmd160  f284b61ae93e7db6a34107a309005ebb2be7f55f
+
+patchfiles    patch-setup.py.diff
+
+depends_lib-append  port:py27-paramiko \
+                    port:py27-crypto \
+                    port:py27-curl \
+                    port:py27-docutils \
+                    port:py27-pyrex
 
 test.run      yes
 test.cmd      make
Index: /Users/raim/src/macports/trunk/dports/devel/bzr-explorer/Portfile
===================================================================
--- /Users/raim/src/macports/trunk/dports/devel/bzr-explorer/Portfile	(revision 76877)
+++ /Users/raim/src/macports/trunk/dports/devel/bzr-explorer/Portfile	(working copy)
@@ -1,10 +1,11 @@
 # $Id$
 
 PortSystem    1.0
-PortGroup     python26 1.0
+PortGroup     python27 1.0
 
 name          bzr-explorer
 version       1.1.2
+revision      1
 epoch         1
 set branch    [join [lrange [split ${version} .] 0 1] .]
 categories    devel python
Index: /Users/raim/src/macports/trunk/dports/devel/bzr-fastimport/Portfile
===================================================================
--- /Users/raim/src/macports/trunk/dports/devel/bzr-fastimport/Portfile	(revision 76877)
+++ /Users/raim/src/macports/trunk/dports/devel/bzr-fastimport/Portfile	(working copy)
@@ -6,6 +6,7 @@
 name            bzr-fastimport
 version         0.9.0
 set debian_version ${version}-1
+revision        1
 epoch           2
 categories      devel python
 platforms       darwin
Index: /Users/raim/src/macports/trunk/dports/devel/bzr-git/Portfile
===================================================================
--- /Users/raim/src/macports/trunk/dports/devel/bzr-git/Portfile	(revision 76877)
+++ /Users/raim/src/macports/trunk/dports/devel/bzr-git/Portfile	(working copy)
@@ -1,10 +1,11 @@
 # $Id$
 
 PortSystem    1.0
-PortGroup     python26 1.0
+PortGroup     python27 1.0
 
 name          bzr-git
 version       0.5.4
+revision      1
 set branch    [join [lrange [split ${version} .] 0 1] .]
 categories    devel python
 platforms     darwin
@@ -23,7 +24,7 @@
                     rmd160  f218da2eaee09123d619a41c76d71f073e760e67
 
 depends_lib-append  port:bzr \
-                    port:py26-dulwich
+                    port:py27-dulwich
 
 universal_variant   no
 
Index: /Users/raim/src/macports/trunk/dports/devel/bzr-gtk/Portfile
===================================================================
--- /Users/raim/src/macports/trunk/dports/devel/bzr-gtk/Portfile	(revision 76877)
+++ /Users/raim/src/macports/trunk/dports/devel/bzr-gtk/Portfile	(working copy)
@@ -1,7 +1,7 @@
 # $Id$
 
 PortSystem    1.0
-PortGroup     python26 1.0
+PortGroup     python27 1.0
 
 name          bzr-gtk
 version       0.100.0
@@ -22,7 +22,7 @@
               rmd160  783d099d9be700193c1523a8c6d54826ada49187
 
 depends_lib-append  port:bzr \
-                    port:py26-gtk
+                    port:py27-gtk
 
 universal_variant no
 
Index: /Users/raim/src/macports/trunk/dports/devel/bzr-pager/Portfile
===================================================================
--- /Users/raim/src/macports/trunk/dports/devel/bzr-pager/Portfile	(revision 76877)
+++ /Users/raim/src/macports/trunk/dports/devel/bzr-pager/Portfile	(working copy)
@@ -1,11 +1,11 @@
 # $Id$
 
 PortSystem    1.0
-PortGroup     python26 1.0
+PortGroup     python27 1.0
 
 name          bzr-pager
 version       0.1.0
-revision      1
+revision      2
 categories    devel python
 platforms     darwin
 maintainers   raimue
Index: /Users/raim/src/macports/trunk/dports/devel/bzr-rebase/Portfile
===================================================================
--- /Users/raim/src/macports/trunk/dports/devel/bzr-rebase/Portfile	(revision 76877)
+++ /Users/raim/src/macports/trunk/dports/devel/bzr-rebase/Portfile	(working copy)
@@ -1,7 +1,7 @@
 # $Id$
 
 PortSystem    1.0
-PortGroup     python26 1.0
+PortGroup     python27 1.0
 
 name          bzr-rebase
 set pkgname   bzr-rewrite
Index: /Users/raim/src/macports/trunk/dports/devel/bzr-rewrite/Portfile
===================================================================
--- /Users/raim/src/macports/trunk/dports/devel/bzr-rewrite/Portfile	(revision 76877)
+++ /Users/raim/src/macports/trunk/dports/devel/bzr-rewrite/Portfile	(working copy)
@@ -1,10 +1,11 @@
 # $Id$
 
 PortSystem    1.0
-PortGroup     python26 1.0
+PortGroup     python27 1.0
 
 name          bzr-rewrite
 version       0.6.2
+revision      1
 categories    devel python
 platforms     darwin
 maintainers   raimue
Index: /Users/raim/src/macports/trunk/dports/devel/bzr-svn/Portfile
===================================================================
--- /Users/raim/src/macports/trunk/dports/devel/bzr-svn/Portfile	(revision 76877)
+++ /Users/raim/src/macports/trunk/dports/devel/bzr-svn/Portfile	(working copy)
@@ -1,11 +1,12 @@
 # $Id$
 
 PortSystem    1.0
-PortGroup     python26 1.0
+PortGroup     python27 1.0
 
 name          bzr-svn
-epoch         1
 version       1.0.4
+revision      1
+epoch         1
 set branch    [join [lrange [split ${version} .] 0 1] .]
 categories    devel python
 platforms     darwin
@@ -27,10 +28,12 @@
 
 depends_lib-append  port:bzr \
                     port:bzr-rewrite \
-                    port:py26-subvertpy
+                    port:py27-subvertpy
 
 universal_variant   no
 
+patchfiles          patch-bzr-2.3.0.diff
+
 livecheck.type      regex
 livecheck.url       https://launchpad.net/${name}/+download
 livecheck.regex     {bzr-svn-(\d+(?:\.\d+)*).tar.gz}
Index: /Users/raim/src/macports/trunk/dports/devel/bzr-xmloutput/Portfile
===================================================================
--- /Users/raim/src/macports/trunk/dports/devel/bzr-xmloutput/Portfile	(revision 76877)
+++ /Users/raim/src/macports/trunk/dports/devel/bzr-xmloutput/Portfile	(working copy)
@@ -1,10 +1,10 @@
 # $Id$
 
 PortSystem          1.0
-PortGroup           python26 1.0
+PortGroup           python27 1.0
 
 name                bzr-xmloutput
-version             0.8.4
+version             0.8.7
 set branch          trunk
 categories          devel python
 platforms           darwin
@@ -19,10 +19,11 @@
 
 homepage            http://wiki.bazaar.canonical.com/XMLOutput
 master_sites        http://launchpad.net/${name}/${branch}/${version}/+download/
+distname            ${name}-${version}.final.0
 
-checksums           md5     fbc1ce901f053320b852fe2c27b56fa7 \
-                    sha1    ef3c4020b58e3bd1da54b1aaa6ecbaa4bb0f7e30 \
-                    rmd160  be6bffc26e8549aee263f1258c05fa6ab233fb2e
+checksums           md5     999922518a5767871705872f6e233aa0 \
+                    sha1    b6302f3bd3eb138bcdb9080c185fa6e06314e17f \
+                    rmd160  97a7371a03c5b3eee1b7650d9ce08f9c7dc8949b
 
 depends_lib-append  port:bzr
 
Index: /Users/raim/src/macports/trunk/dports/devel/bzrtools/Portfile
===================================================================
--- /Users/raim/src/macports/trunk/dports/devel/bzrtools/Portfile	(revision 76877)
+++ /Users/raim/src/macports/trunk/dports/devel/bzrtools/Portfile	(working copy)
@@ -1,10 +1,10 @@
 # $Id$
 
 PortSystem    1.0
-PortGroup     python26 1.0
+PortGroup     python27 1.0
 
 name          bzrtools
-version       2.2.0
+version       2.3.0
 set branch    [join [lrange [split ${version} .] 0 1] .]
 epoch         1
 categories    devel python
@@ -23,9 +23,9 @@
 master_sites  http://code.launchpad.net/${name}/trunk/${version}/+download/
 worksrcdir    ${name}
 
-checksums     md5     8a05bb1d7d2a53bbcecf1b486fa06f76 \
-              sha1    54b65ecd24f6610fa4a5f4b8b62361369972a249 \
-              rmd160  e6a1fcb3f0043aa346ce54dbffcbebd89a4ea84a
+checksums     md5     c781d9b099c8cdaee2d0dc2785e90ab7 \
+              sha1    3c7cc3c0b00c09b60ec7968e25885f31ee319647 \
+              rmd160  fa50e7681dafb9ea974eff8e5d72259825d6011d
 
 depends_lib-append port:bzr
 depends_run-append path:bin/dot:graphviz