diff -urtN orig/Portfile new/Portfile
--- orig/Portfile	1970-01-01 01:00:00.000000000 +0100
+++ new/Portfile	2011-04-13 23:13:46.000000000 +0200
@@ -0,0 +1,64 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
+# $Id$
+
+PortSystem          1.0
+
+name                play
+version             1.2
+categories          devel java
+maintainers         googlemail.com:ciserlohn
+
+description         Rapid webapplication development framework
+long_description    The Play framework is a clean alternative to bloated Enterprise Java stacks. \
+                    It focuses on developer productivity and targets RESTful architectures. \
+                    Play is a perfect companion to agile software development. \
+                    Play is a pure Java framework and allows you to keep your preferred \
+                    development tools and libraries. If you already use Java as a  \
+                    development platform you don't need to switch to another language, \
+                    another IDE and other libraries. \
+                    The Play framework's goal is to ease web applications \
+                    development while sticking with Java. (From the documentation)
+
+homepage            http://www.playframework.org
+platforms           darwin
+license             Apache-2
+
+master_sites        https://github.com/playframework/play/tarball/${version}
+checksums           sha1    1ebc9f02e3204258966ff8e6226a7ddb7c8bb2e2 \
+                    rmd160  7a9984b800eaf699bcdea99e60e47bab8a7e99f9
+
+use_configure       no
+
+patchfiles          patch-framework-build.xml.diff
+
+build.cmd           ant
+build.target        package
+build.dir           ${worksrcpath}/framework
+
+post-extract {
+    file rename [glob ${workpath}/playframework-play-*] ${worksrcpath}
+
+    # delete windows specific files
+    file delete ${worksrcpath}/play.bat
+    file delete -force ${worksrcpath}/python
+}
+
+destroot        {
+    xinstall -m 755 -d ${destroot}${prefix}/share/java/${distname}
+    file attributes ${build.dir}/dist/play -permissions rwxr-xr-x 
+    foreach f [glob -directory ${build.dir}/dist *] { 
+        file copy $f ${destroot}${prefix}/share/java/${distname} 
+    } 
+
+    # symlink play into the bin directory
+    system "cd ${destroot}${prefix}/bin && ln -s ${prefix}/share/java/${distname}/play"
+
+    # symlink the documentation
+    set docdir ${destroot}${prefix}/share/doc/${name}
+    xinstall -d $docdir
+    system "cd $docdir && ln -s ${prefix}/share/java/${distname}/documentation/api"
+    system "cd $docdir && ln -s ${prefix}/share/java/${distname}/samples-and-tests"
+    # symlink the repository conifgurationq
+    xinstall -d ${destroot}${prefix}/etc/${distname}
+    system "cd ${destroot}${prefix}/etc/${distname} && ln -s ${prefix}/share/java/${distname}/repositories"
+}
diff -urtN orig/files/patch-framework-build.xml.diff new/files/patch-framework-build.xml.diff
--- orig/files/patch-framework-build.xml.diff	1970-01-01 01:00:00.000000000 +0100
+++ new/files/patch-framework-build.xml.diff	2011-04-13 23:13:57.000000000 +0200
@@ -0,0 +1,27 @@
+--- framework/build.xml.orig    2011-04-13 22:25:15.000000000 +0200
++++ framework/build.xml 2011-04-13 22:22:36.000000000 +0200
+@@ -3,6 +3,7 @@
+ <project name="play! framework" default="jar" basedir=".">
+     
+     <property name="baseversion" value="1.2.x" />
++    <property name="version" value="1.2" />
+ 
+     <path id="project.classpath">
+         <fileset dir=".">
+@@ -352,11 +353,11 @@
+     
+     <target name="package" depends="clean,version,jar,javadoc">
+         <mkdir dir="dist" /> 
+-        <zip destfile="dist/play-${version}.zip" comment="Play! ${version}" update="false">
+-            <zipfileset prefix="play-${version}" dir=".." includes="**/*" excludes="**/cobertura.ser,**/*.pyc,hs_err*,.*,.*/*,framework/dist/**,id,play,nbproject/**,**/.bzr/**,**/.git/**,*.bzrignore,support/textmate/**,framework/classes/**,framework/tests-results/**,samples-and-tests/**/test-result,samples-and-tests/**/i-am-working-here,samples-and-tests/**/data,samples-and-tests/**/logs,samples-and-tests/**/tmp,samples-and-tests/**/db,samples-and-tests/**/attachments,modules/**" />   
+-            <zipfileset prefix="play-${version}" dir=".." includes="play" filemode="777" />
+-            <zipfileset prefix="play-${version}" dir=".." includes="modules/grizzly/**,modules/crud/**,modules/secure/**,modules/docviewer/**,modules/testrunner/**" excludes="**/*.pyc" />
+-        </zip>
++        <copy todir="dist">
++            <fileset dir=".." includes="**/*" excludes="**/cobertura.ser,**/*.pyc,hs_err*,.*,.*/*,framework/dist/**,id,play,nbproject/**,**/.bzr/**,**/.git/**,*.bzrignore,support/textmate/**,framework/classes/**,framework/tests-results/**,samples-and-tests/**/test-result,samples-and-tests/i-am-a-developer/**,samples-and-tests/**/data,samples-and-tests/**/logs,samples-and-tests/**/tmp,samples-and-tests/**/db,samples-and-tests/**/attachments,modules/**" />   
++            <fileset dir=".." includes="play" />
++            <fileset dir=".." includes="modules/grizzly/**,modules/crud/**,modules/secure/**,modules/docviewer/**,modules/testrunner/**" excludes="**/*.pyc" />
++        </copy>
+     </target>
+     
+ </project>