--- Portfile.orig	2011-04-17 23:57:08.000000000 +0200
+++ Portfile	2011-04-17 23:58:26.000000000 +0200
@@ -1,72 +1,72 @@
 # -*- coding: utf-8; mode: tcl; tab-width: 4; truncate-lines: t; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:et:sw=4:ts=4:sts=4
 # $Id: Portfile 71001 2010-08-29 09:00:39Z ryandesign@macports.org $
 
-PortSystem			1.0
+PortSystem          1.0
 
-name				yaws
-version				1.89
-categories			www
-maintainers			googlemail.com:ciserlohn
-platforms			darwin
-description			Webserver for dynamic content written in Erlang
-long_description	Yaws is a high performance HTTP server for dynamic content \
-					written in Erlang. Pages can be dynamic with embedded erlang \
-					code. Yaws also features a built-in Wiki.
-homepage			http://yaws.hyber.org/
-master_sites		http://yaws.hyber.org/download/
-
-checksums			sha1    3f6cc88eb7f154f017f78f1ad07eff5521e7319c \
-					rmd160  9fc274a9ddc82cc83bceeaed133758ee71c2951e
-
-depends_build		port:erlang
-
-extract.post_args	| tar -xf - --exclude \
-					"${name}-${version}/www/testdir/xx*xx.jpg"
-
-patchfiles			patch-man-yaws.1 \
-					patch-man-yaws_api.5 \
-					patch-man-yaws.conf.5 \
-					patch-scripts-Install \
-					patch-scripts-Makefile \
-					patch-scripts-yaws.conf.template
+name                yaws
+version             1.89
+categories          www
+maintainers         googlemail.com:ciserlohn
+platforms           darwin
+description         Webserver for dynamic content written in Erlang
+long_description    Yaws is a high performance HTTP server for dynamic content \
+                    written in Erlang. Pages can be dynamic with embedded erlang \
+                    code. Yaws also features a built-in Wiki.
+homepage            http://yaws.hyber.org/
+master_sites        http://yaws.hyber.org/download/
+
+checksums           sha1    3f6cc88eb7f154f017f78f1ad07eff5521e7319c \
+                    rmd160  9fc274a9ddc82cc83bceeaed133758ee71c2951e
+
+depends_build       port:erlang
+
+extract.post_args   | tar -xf - --exclude \
+                        "${name}-${version}/www/testdir/xx*xx.jpg"
+
+patchfiles          patch-man-yaws.1 \
+                    patch-man-yaws_api.5 \
+                    patch-man-yaws.conf.5 \
+                    patch-scripts-Install \
+                    patch-scripts-Makefile \
+                    patch-scripts-yaws.conf.template
 
 post-patch {
-	reinplace "s|__PREFIX|${prefix}|g" \
-					${worksrcpath}/man/yaws.1 \
-					${worksrcpath}/man/yaws.conf.5 \
-					${worksrcpath}/man/yaws_api.5 \
-					${worksrcpath}/scripts/yaws.conf.template
+    reinplace "s|__PREFIX|${prefix}|g" \
+        ${worksrcpath}/man/yaws.1 \
+        ${worksrcpath}/man/yaws.conf.5 \
+        ${worksrcpath}/man/yaws_api.5 \
+        ${worksrcpath}/scripts/yaws.conf.template
 }
 
-default_variants	+yapp
+default_variants    +yapp
 
-configure.args		--sysconfdir=${prefix}/etc \
-					--localstatedir=${prefix}/var
+configure.args      --sysconfdir=${prefix}/etc \
+                    --localstatedir=${prefix}/var
 
 variant yapp description {Yapp application handler} {
-	post-build {
-		system "cd ${worksrcpath}/applications/yapp && make && make docs"
-	}
-	post-destroot {
-		system "cd ${worksrcpath}/applications/yapp && make install DESTDIR=${destroot}"
-	}
+    post-build {
+        system "cd ${worksrcpath}/applications/yapp && make && make docs"
+    }
+    post-destroot {
+        system "cd ${worksrcpath}/applications/yapp && make install DESTDIR=${destroot}"
+    }
 }
-					
+                    
 post-destroot {
-	xinstall -d "${destroot}${prefix}/var/log/yaws/"
-	system "touch ${destroot}${prefix}/var/log/yaws/.turd"
-	file rename "${destroot}${prefix}/etc/yaws/yaws.conf" "${destroot}${prefix}/etc/yaws/yaws.conf.template"
+    xinstall -d "${destroot}${prefix}/var/log/yaws/"
+    system "touch ${destroot}${prefix}/var/log/yaws/.turd"
+    file rename "${destroot}${prefix}/etc/yaws/yaws.conf" "${destroot}${prefix}/etc/yaws/yaws.conf.template"
 }
 
 notes "\
 Copy and customize ${prefix}/etc/yaws/yaws.conf.template to ${prefix}/etc/yaws/yaws.conf\
 "
 
-startupitem.create	yes
-startupitem.name	yaws
-startupitem.start	"${prefix}/bin/yaws --daemon --heart --conf ${prefix}/etc/yaws/yaws.conf"
-startupitem.stop	"${prefix}/bin/yaws --stop"
-
-livecheck.type	regex
-livecheck.url	http://yaws.hyber.org/download/
-livecheck.regex	{<address> Yaws (.*) Server at yaws.hyber.org </address>}
+startupitem.create  yes
+startupitem.name    yaws
+startupitem.start   "${prefix}/bin/yaws --daemon --heart --conf ${prefix}/etc/yaws/yaws.conf"
+startupitem.stop    "${prefix}/bin/yaws --stop"
+
+livecheck.type      regex
+livecheck.url       http://yaws.hyber.org/download/
+livecheck.regex     {<address> Yaws (.*) Server at yaws.hyber.org </address>}