--- _orig/lang/guile/Portfile	2013-12-05 05:32:12.000000000 -0500
+++ lang/guile/Portfile	2014-08-10 09:57:11.000000000 -0400
@@ -1,17 +1,17 @@
 # -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
-# $Id: Portfile 114328 2013-12-05 10:21:52Z ryandesign@macports.org $
+# $Id$
 
 PortSystem 1.0
 PortGroup	muniversal 1.0
 
 name		guile
-version		1.8.8
+version		2.0.11
 categories	lang
 maintainers	nomaintainer
 platforms	darwin
 license     LGPL-2.1+
 
-description	GNU's Ubiquitous Intelligent Language for Extension (guile)
+description	GNU's Ubiquitous Intelligent Language for Extension (guile) v2
 long_description	\
 		Guile is an interpreter for the Scheme programming	\
 		language, packaged for use in a wide variety of		\
@@ -27,96 +27,33 @@
 		interface, powerful string processing, and many other	\
 		features needed for programming in the real world.
 
-#user_notes	You may need to set the environment variable		\
-#		DYLD_LIBRARY_PATH to ${prefix}/lib (or wherever		\
-#		the guile libraries have been installed) if you want	\
-#		to load guile modules from an application linked with	\
-#		libguile.  This should only apply to developers using	\
-#		guile as an extension language.
-
 distname        guile-${version}
 homepage	http://www.gnu.org/software/guile/guile.html
-master_sites	gnu
+master_sites	gnu:guile
 
-checksums       md5     18661a8fdfef13e2fcb7651720aa53f3 \
-                sha1    548d6927aeda332b117f8fc5e4e82c39a05704f9 \
-                rmd160  8ac185a72ad8394b14d5377549e5bbf02889faaa
-
-patchfiles	patch-srfi-60.c.diff \
-		patch-libguile-fports.c.diff \
-		patch-no-stack-checking.diff
+checksums           rmd160  e375607a569cba8ebecd9a15d4c25abe10abfd85 \
+                    sha256  e6786c934346fa2e38e46d8d81a622bb1c16d130153523f6129fcd79ef1fb040
 
 depends_lib	port:readline \
                 port:gettext \
                 port:libiconv \
-                port:libtool \
-                port:gmp
+                port:gmp port:libunistring port:boehmgc port:libffi
+depends_run     port:libtool 
 
+## https://github.com/Homebrew/homebrew/blob/67995a62d81e9ea9d53213e2cd221dae81fa9436/Library/Formula/guile.rb
+## http://fink.cvs.sourceforge.net/fink/dists/10.7/stable/main/finkinfo/languages/guile20.info?view=markup
+use_autoconf        yes
+use_automake        yes
 configure.args	CPPFLAGS="-I${prefix}/include"		\
 		LDFLAGS="-L${prefix}/lib"		\
 		--infodir="${prefix}/share/info"	\
 		--mandir="${prefix}/share/man"		\
-		--enable-regex                          \
-		--disable-error-on-warning
-
-post-patch {
-    # This changes configure to do what the author actually intended based on their comments
-    reinplace "s|-Werror -Wmissing-braces|-Werror=missing-braces|" ${worksrcpath}/configure
-}
+		--enable-regex
 
-# Unable to cross compile, so we need to be able to run the built code
-if {${os.arch} eq "i386" && ${os.major} >= 11} {
-    supported_archs i386 x86_64
-    set universal_archs_supported {i386 x86_64}
-} elseif {${os.arch} eq "i386" && ${build_arch} eq "x86_64"} {
-    supported_archs i386 x86_64 ppc
-    set universal_archs_supported {i386 x86_64 ppc}
-} elseif {${os.arch} eq "i386"} {
-    supported_archs i386 ppc
-    set universal_archs_supported {i386 ppc}
-} elseif {${build_arch} eq "ppc64"} {
-    supported_archs ppc ppc64
-    set universal_archs_supported {ppc ppc64}
-} else {
-    supported_archs ${build_arch}
-    set universal_archs_supported ${build_arch}
+if {${os.platform} == "darwin" && ($build_arch == "x86_64" || $build_arch == "ppc64")} {
+    configure.args-append --build=${build_arch}-apple-darwin${os.version}
 }
 
-platform darwin {
-    if {[variant_isset universal]} {
-        set merger_host(x86_64) x86_64-apple-${os.platform}${os.major}
-        set merger_host(i386) i686-apple-${os.platform}${os.major}
-        set merger_host(ppc64) powerpc64-apple-${os.platform}${os.major}
-        set merger_host(ppc) powerpc-apple-${os.platform}${os.major}
-        set merger_configure_args(x86_64) "--build=x86_64-apple-${os.platform}${os.major}"
-        set merger_configure_args(i386) "--build=i686-apple-${os.platform}${os.major}"
-        set merger_configure_args(ppc) "--build=powerpc-apple-${os.platform}${os.major}"
-        set merger_configure_args(ppc64) "--build=powerpc64-apple-${os.platform}${os.major}"
-    } elseif {${build_arch} eq "i386"} {
-        configure.args-append \
-            --host=i686-apple-${os.platform}${os.major} \
-            --build=i686-apple-${os.platform}${os.major}
-    } elseif {${build_arch} eq "x86_64"} {
-        configure.args-append \
-            --host=x86_64-apple-${os.platform}${os.major} \
-            --build=x86_64-apple-${os.platform}${os.major}
-    } elseif {${build_arch} eq "ppc"} {
-        configure.args-append \
-            --host=powerpc-apple-${os.platform}${os.major} \
-            --build=powerpc-apple-${os.platform}${os.major}
-    } elseif {${build_arch} eq "ppc64"} {
-        configure.args-append \
-            --host=powerpc64-apple-${os.platform}${os.major} \
-            --build=powerpc64-apple-${os.platform}${os.major}
-    }
-}
-
-set merger_dont_diff "${prefix}/include/libguile/scmconfig.h"
-
-#post-destroot	{
-#		  file delete ${destroot}${prefix}/share/${name}/1.6/ice-9/and-let\*.scm
-#		}
-
 livecheck.type  regex
 livecheck.url   "http://ftp.gnu.org/pub/gnu/guile/?C=N;O=D"
 livecheck.regex "${name}-(\\d+(?:\\.\\d+)*)${extract.suffix}"