diff -Naur macosx.orig/da.lproj/MainMenu.xib macosx/da.lproj/MainMenu.xib
--- macosx.orig/da.lproj/MainMenu.xib	2013-08-08 22:46:44.000000000 -0400
+++ macosx/da.lproj/MainMenu.xib	2014-06-18 11:04:54.000000000 -0400
@@ -3778,14 +3778,6 @@
 					<int key="connectionID">3075</int>
 				</object>
 				<object class="IBConnectionRecord">
-					<object class="IBActionConnection" key="connection">
-						<string key="label">checkForUpdates:</string>
-						<reference key="source" ref="456998591"/>
-						<reference key="destination" ref="701116531"/>
-					</object>
-					<int key="connectionID">1814</int>
-				</object>
-				<object class="IBConnectionRecord">
 					<object class="IBOutletConnection" key="connection">
 						<string key="label">delegate</string>
 						<reference key="source" ref="588646173"/>
diff -Naur macosx.orig/de.lproj/MainMenu.xib macosx/de.lproj/MainMenu.xib
--- macosx.orig/de.lproj/MainMenu.xib	2013-08-08 22:46:52.000000000 -0400
+++ macosx/de.lproj/MainMenu.xib	2014-06-18 11:05:08.000000000 -0400
@@ -3702,14 +3702,6 @@
 					<int key="connectionID">3075</int>
 				</object>
 				<object class="IBConnectionRecord">
-					<object class="IBActionConnection" key="connection">
-						<string key="label">checkForUpdates:</string>
-						<reference key="source" ref="456998591"/>
-						<reference key="destination" ref="701116531"/>
-					</object>
-					<int key="connectionID">1814</int>
-				</object>
-				<object class="IBConnectionRecord">
 					<object class="IBOutletConnection" key="connection">
 						<string key="label">delegate</string>
 						<reference key="source" ref="588646173"/>
diff -Naur macosx.orig/en.lproj/MainMenu.xib macosx/en.lproj/MainMenu.xib
--- macosx.orig/en.lproj/MainMenu.xib	2013-08-08 22:46:18.000000000 -0400
+++ macosx/en.lproj/MainMenu.xib	2014-06-18 10:53:46.000000000 -0400
@@ -3720,14 +3720,6 @@
 					<int key="connectionID">3075</int>
 				</object>
 				<object class="IBConnectionRecord">
-					<object class="IBActionConnection" key="connection">
-						<string key="label">checkForUpdates:</string>
-						<reference key="source" ref="456998591"/>
-						<reference key="destination" ref="701116531"/>
-					</object>
-					<int key="connectionID">1814</int>
-				</object>
-				<object class="IBConnectionRecord">
 					<object class="IBOutletConnection" key="connection">
 						<string key="label">delegate</string>
 						<reference key="source" ref="588646173"/>
diff -Naur macosx.orig/es.lproj/MainMenu.xib macosx/es.lproj/MainMenu.xib
--- macosx.orig/es.lproj/MainMenu.xib	2013-08-08 22:47:35.000000000 -0400
+++ macosx/es.lproj/MainMenu.xib	2014-06-18 11:05:20.000000000 -0400
@@ -3181,14 +3181,6 @@
 				</object>
 				<object class="IBConnectionRecord">
 					<object class="IBActionConnection" key="connection">
-						<string key="label">checkForUpdates:</string>
-						<reference key="source" ref="456998591"/>
-						<reference key="destination" ref="701116531"/>
-					</object>
-					<int key="connectionID">1814</int>
-				</object>
-				<object class="IBConnectionRecord">
-					<object class="IBActionConnection" key="connection">
 						<string key="label">openURLShowSheet:</string>
 						<reference key="source" ref="30116300"/>
 						<reference key="destination" ref="439865608"/>
diff -Naur macosx.orig/fr.lproj/MainMenu.xib macosx/fr.lproj/MainMenu.xib
--- macosx.orig/fr.lproj/MainMenu.xib	2013-08-08 22:46:12.000000000 -0400
+++ macosx/fr.lproj/MainMenu.xib	2014-06-18 11:03:55.000000000 -0400
@@ -3715,14 +3715,6 @@
 					<int key="connectionID">3075</int>
 				</object>
 				<object class="IBConnectionRecord">
-					<object class="IBActionConnection" key="connection">
-						<string key="label">checkForUpdates:</string>
-						<reference key="source" ref="456998591"/>
-						<reference key="destination" ref="701116531"/>
-					</object>
-					<int key="connectionID">1814</int>
-				</object>
-				<object class="IBConnectionRecord">
 					<object class="IBOutletConnection" key="connection">
 						<string key="label">delegate</string>
 						<reference key="source" ref="588646173"/>
diff -Naur macosx.orig/it.lproj/MainMenu.xib macosx/it.lproj/MainMenu.xib
--- macosx.orig/it.lproj/MainMenu.xib	2013-08-08 22:46:21.000000000 -0400
+++ macosx/it.lproj/MainMenu.xib	2014-06-18 11:05:41.000000000 -0400
@@ -3714,14 +3714,6 @@
 					<int key="connectionID">3075</int>
 				</object>
 				<object class="IBConnectionRecord">
-					<object class="IBActionConnection" key="connection">
-						<string key="label">checkForUpdates:</string>
-						<reference key="source" ref="456998591"/>
-						<reference key="destination" ref="701116531"/>
-					</object>
-					<int key="connectionID">1814</int>
-				</object>
-				<object class="IBConnectionRecord">
 					<object class="IBOutletConnection" key="connection">
 						<string key="label">delegate</string>
 						<reference key="source" ref="588646173"/>
diff -Naur macosx.orig/nl.lproj/MainMenu.xib macosx/nl.lproj/MainMenu.xib
--- macosx.orig/nl.lproj/MainMenu.xib	2013-08-08 22:47:15.000000000 -0400
+++ macosx/nl.lproj/MainMenu.xib	2014-06-18 11:05:54.000000000 -0400
@@ -3702,14 +3702,6 @@
 					<int key="connectionID">3075</int>
 				</object>
 				<object class="IBConnectionRecord">
-					<object class="IBActionConnection" key="connection">
-						<string key="label">checkForUpdates:</string>
-						<reference key="source" ref="456998591"/>
-						<reference key="destination" ref="701116531"/>
-					</object>
-					<int key="connectionID">1814</int>
-				</object>
-				<object class="IBConnectionRecord">
 					<object class="IBOutletConnection" key="connection">
 						<string key="label">delegate</string>
 						<reference key="source" ref="588646173"/>
diff -Naur macosx.orig/pt.lproj/MainMenu.xib macosx/pt.lproj/MainMenu.xib
--- macosx.orig/pt.lproj/MainMenu.xib	2013-08-08 22:46:38.000000000 -0400
+++ macosx/pt.lproj/MainMenu.xib	2014-06-18 11:06:08.000000000 -0400
@@ -3770,14 +3770,6 @@
 					<int key="connectionID">3075</int>
 				</object>
 				<object class="IBConnectionRecord">
-					<object class="IBActionConnection" key="connection">
-						<string key="label">checkForUpdates:</string>
-						<reference key="source" ref="456998591"/>
-						<reference key="destination" ref="701116531"/>
-					</object>
-					<int key="connectionID">1814</int>
-				</object>
-				<object class="IBConnectionRecord">
 					<object class="IBOutletConnection" key="connection">
 						<string key="label">delegate</string>
 						<reference key="source" ref="588646173"/>
diff -Naur macosx.orig/pt_PT.lproj/MainMenu.xib macosx/pt_PT.lproj/MainMenu.xib
--- macosx.orig/pt_PT.lproj/MainMenu.xib	2013-08-08 22:47:24.000000000 -0400
+++ macosx/pt_PT.lproj/MainMenu.xib	2014-06-18 11:06:21.000000000 -0400
@@ -3693,14 +3693,6 @@
 					<int key="connectionID">3075</int>
 				</object>
 				<object class="IBConnectionRecord">
-					<object class="IBActionConnection" key="connection">
-						<string key="label">checkForUpdates:</string>
-						<reference key="source" ref="456998591"/>
-						<reference key="destination" ref="701116531"/>
-					</object>
-					<int key="connectionID">1814</int>
-				</object>
-				<object class="IBConnectionRecord">
 					<object class="IBOutletConnection" key="connection">
 						<string key="label">delegate</string>
 						<reference key="source" ref="588646173"/>
diff -Naur macosx.orig/ru.lproj/MainMenu.xib macosx/ru.lproj/MainMenu.xib
--- macosx.orig/ru.lproj/MainMenu.xib	2013-08-08 22:47:29.000000000 -0400
+++ macosx/ru.lproj/MainMenu.xib	2014-06-18 11:06:32.000000000 -0400
@@ -3763,14 +3763,6 @@
 					<int key="connectionID">3075</int>
 				</object>
 				<object class="IBConnectionRecord">
-					<object class="IBActionConnection" key="connection">
-						<string key="label">checkForUpdates:</string>
-						<reference key="source" ref="456998591"/>
-						<reference key="destination" ref="701116531"/>
-					</object>
-					<int key="connectionID">1814</int>
-				</object>
-				<object class="IBConnectionRecord">
 					<object class="IBOutletConnection" key="connection">
 						<string key="label">delegate</string>
 						<reference key="source" ref="588646173"/>