diff -ur old/yaws/applications/chat/include.mk new/yaws/applications/chat/include.mk
--- old/yaws/applications/chat/include.mk	2011-05-24 22:28:44.000000000 +0200
+++ new/yaws/applications/chat/include.mk	2011-05-25 23:33:26.000000000 +0200
@@ -33,7 +33,7 @@
 
 
 # Hmm, don't know if you are supposed to like this better... ;-)
-APPSCRIPT = '$$vsn=shift; $$mods=""; while(@ARGV){ $$_=shift; s/^([A-Z].*)$$/\'\''$$1\'\''/; $$mods.=", " if $$mods; $$mods .= $$_; } while(<>) { s/\{vsn, git\}/\{vsn, $$vsn\}/; s/\{modules,\[\]\}/\{modules,\[$$mods\]\}/; print; }'
+APPSCRIPT = '$$vsn=shift; $$mods=""; while(@ARGV){ $$_=shift; s/^([A-Z].*)$$/\'\''$$1\'\''/; $$mods.=", " if $$mods; $$mods .= $$_; } while(<>) { s/\{vsn, git\}/\{vsn, "$$vsn"\}/; s/\{modules,\[\]\}/\{modules,\[$$mods\]\}/; print; }'
 
 # Targets
 
diff -ur old/yaws/applications/mail/include.mk new/yaws/applications/mail/include.mk
--- old/yaws/applications/mail/include.mk	2011-05-24 22:28:44.000000000 +0200
+++ new/yaws/applications/mail/include.mk	2011-05-25 23:33:26.000000000 +0200
@@ -33,7 +33,7 @@
 
 
 # Hmm, don't know if you are supposed to like this better... ;-)
-APPSCRIPT = '$$vsn=shift; $$mods=""; while(@ARGV){ $$_=shift; s/^([A-Z].*)$$/\'\''$$1\'\''/; $$mods.=", " if $$mods; $$mods .= $$_; } while(<>) { s/\{vsn, git\}/\{vsn, $$vsn\}/; s/\{modules,\[\]\}/\{modules,\[$$mods\]\}/; print; }'
+APPSCRIPT = '$$vsn=shift; $$mods=""; while(@ARGV){ $$_=shift; s/^([A-Z].*)$$/\'\''$$1\'\''/; $$mods.=", " if $$mods; $$mods .= $$_; } while(<>) { s/\{vsn, git\}/\{vsn, "$$vsn"\}/; s/\{modules,\[\]\}/\{modules,\[$$mods\]\}/; print; }'
 
 # Targets
 
diff -ur old/yaws/applications/wiki/include.mk new/yaws/applications/wiki/include.mk
--- old/yaws/applications/wiki/include.mk	2011-05-24 22:28:44.000000000 +0200
+++ new/yaws/applications/wiki/include.mk	2011-05-25 23:33:26.000000000 +0200
@@ -33,7 +33,7 @@
 
 
 # Hmm, don't know if you are supposed to like this better... ;-)
-APPSCRIPT = '$$vsn=shift; $$mods=""; while(@ARGV){ $$_=shift; s/^([A-Z].*)$$/\'\''$$1\'\''/; $$mods.=", " if $$mods; $$mods .= $$_; } while(<>) { s/\{vsn, git\}/\{vsn, $$vsn\}/; s/\{modules,\[\]\}/\{modules,\[$$mods\]\}/; print; }'
+APPSCRIPT = '$$vsn=shift; $$mods=""; while(@ARGV){ $$_=shift; s/^([A-Z].*)$$/\'\''$$1\'\''/; $$mods.=", " if $$mods; $$mods .= $$_; } while(<>) { s/\{vsn, git\}/\{vsn, "$$vsn"\}/; s/\{modules,\[\]\}/\{modules,\[$$mods\]\}/; print; }'
 
 # Targets
 
diff -ur old/yaws/include.mk.in new/yaws/include.mk.in
--- old/yaws/include.mk.in	2011-05-24 22:28:44.000000000 +0200
+++ new/yaws/include.mk.in	2011-05-25 23:33:26.000000000 +0200
@@ -91,7 +91,7 @@
 
 
 # Hmm, don't know if you are supposed to like this better... ;-)
-APPSCRIPT = '$$vsn=shift; $$mods=""; while(@ARGV){ $$_=shift; s/^([A-Z].*)$$/\'\''$$1\'\''/; $$mods.=", " if $$mods; $$mods .= $$_; } while(<>) { s/\{vsn, git\}/\{vsn, $$vsn\}/; s/\{modules,\[\]\}/\{modules,\[$$mods\]\}/; print; }'
+APPSCRIPT = '$$vsn=shift; $$mods=""; while(@ARGV){ $$_=shift; s/^([A-Z].*)$$/\'\''$$1\'\''/; $$mods.=", " if $$mods; $$mods .= $$_; } while(<>) { s/\{vsn, git\}/\{vsn, "$$vsn"\}/; s/\{modules,\[\]\}/\{modules,\[$$mods\]\}/; print; }'
 
 # Targets
 
diff -ur old/yaws/man/yaws.1 new/yaws/man/yaws.1
--- old/yaws/man/yaws.1	2011-05-24 22:28:44.000000000 +0200
+++ new/yaws/man/yaws.1	2011-05-25 23:33:26.000000000 +0200
@@ -199,9 +199,9 @@
 
 .TP
 \fB--wait-started[=T] [--id ID] \fR
-Waits at most 5 seconds for the server to start. Exits with 0 if
+Waits at most 30 seconds for the server to start. Exits with 0 if
 server is running, 1 otherwise. Typically useful in test scripts. The
-default 5 seconds can be modified by appending \fI=T\fR to the option,
+default 30 seconds can be modified by appending \fI=T\fR to the option,
 where \fIT\fR is the desired number of seconds to wait for the server
 to start.
 
diff -ur old/yaws/scripts/regular-install new/yaws/scripts/regular-install
--- old/yaws/scripts/regular-install	2011-05-24 22:28:44.000000000 +0200
+++ new/yaws/scripts/regular-install	2011-05-25 23:33:26.000000000 +0200
@@ -7,7 +7,8 @@
 
 set -e
 
-./Install ${PREFIX} ${ERL} ${WERL} ${ETCDIR}/ ${VARDIR}/ ${ERLBINDIR}/ ${DESTDIR}
+./Install "${PREFIX}" "${ERL}" "${WERL}" "${ETCDIR}/" \
+    "${VARDIR}/" "${ERLBINDIR}/" "${DESTDIR}"
 
 conffile="${DESTDIR}${ETCDIR}/yaws/yaws.conf"
 if [ -f "$conffile" ]; then
diff -ur old/yaws/scripts/yaws.template new/yaws/scripts/yaws.template
--- old/yaws/scripts/yaws.template	2011-05-24 22:28:44.000000000 +0200
+++ new/yaws/scripts/yaws.template	2011-05-25 23:33:26.000000000 +0200
@@ -168,13 +168,13 @@
           daemon=" -detached ";;
       --wait-started=*)
           call_wait_started=`echo $arg | sed -e 's/--wait-started=//'`
-          num=`expr "$call_wait_started" : "([0-9]*)"`
+          num=`expr "$call_wait_started" : "\([0-9]*\)"`
           if [ "$num" != "$call_wait_started" ]; then
               echo error: argument to --wait-started is $call_wait_started, not a number
               exit 1
           fi;;
       --wait-started)
-          call_wait_started=6;;
+          call_wait_started=30;;
       -d|--debug)
           debug=" -boot start_sasl -yaws debug ";;
       --nodebug)
diff -ur old/yaws/src/yaws_ctl.erl new/yaws/src/yaws_ctl.erl
--- old/yaws/src/yaws_ctl.erl	2011-05-24 22:28:44.000000000 +0200
+++ new/yaws/src/yaws_ctl.erl	2011-05-25 23:33:26.000000000 +0200
@@ -408,7 +408,7 @@
         {error, eacces} ->
             io:format("Another user is using the yaws sid <~p>, ~n"
                       "You are not allowd to read the file <~s>, ~n"
-                      "specify by <-I id> which yaws system you want "
+                      "specify by <-I id> which yaws system you want"
                       " to control~n",
                       [SID, yaws:ctl_file(SID)]),
             timer:sleep(10),
@@ -420,7 +420,7 @@
         {error, Reason} ->
             io:format("You failed to read the ctlfile ~s~n"
                       "error was: <~p>~n"
-                      "specify by <-I id> which yaws system you want "
+                      "specify by <-I id> which yaws system you want"
                       " to control~n",
                       [yaws:ctl_file(SID), Reason]),
             timer:sleep(10),
diff -ur old/yaws/src/yaws_server.erl new/yaws/src/yaws_server.erl
--- old/yaws/src/yaws_server.erl	2011-05-24 22:28:44.000000000 +0200
+++ new/yaws/src/yaws_server.erl	2011-05-25 23:33:26.000000000 +0200
@@ -1696,7 +1696,19 @@
                 _ ->
                     ARG2 = ARG1
             end,
-            handle_ut(CliSock, ARG2, UT, N);
+
+            %% In case of delayed redirect, we must handle the
+            %% request as a dynamic one.
+            UT2 = case erase(is_delayed_redirect) of
+                      true when UT#urltype.type =:= regular ->
+                          UT#urltype{type=delayed_regular};
+                      true when UT#urltype.type =:= directory ->
+                          UT#urltype{type=delayed_directory};
+                      _ ->
+                          UT
+                  end,
+
+            handle_ut(CliSock, ARG2, UT2, N);
         false_403 ->
             deliver_403(CliSock, ARG1#arg.req);
         {false, AuthMethods, Realm} ->
diff -ur old/yaws/www/contributors.txt new/yaws/www/contributors.txt
--- old/yaws/www/contributors.txt	2011-05-24 22:28:44.000000000 +0200
+++ new/yaws/www/contributors.txt	2011-05-25 23:33:26.000000000 +0200
@@ -1,88 +1,109 @@
-Jean-Sébastien Pédro
-Christopher Faulet
-James Lee
-Nicolas Thauvin
-Fabian Linzberger
+Tomas Abrahamsson
+Manuel Durán Aguete
+Fabian Alenius
+Jason Andersson
 Per Andersson
+Joe Armstrong
+Michael Arnoldus
+Oleg Avdeev
+Tuncer Ayaz
+Stu Bailey
+Kuzma Bartosz
+Eric Baur
+Johan Bevemyr
+Martin Björklund
 Dominique Boucher
-Christian Hennig
-Hans-Christian Esperer
-Alexander Simonov
-Brady McCary
-Thomas O'Dowd 
-Andrei Soroker
-TBBle
-Colm Dougan
-Matt Stancliff
+Adam Bozanich
+Richard Bucker
+Yinso Chen
+Gaspar Chilingarov
+Mats Cronqvist
 Anders Dahlin
-Praveen Ray
+Robert David
+Willem de Jong
+François de Metz
+doccarcass
+dnz@bk.ru
+Colm Dougan
+Hans-Christian Esperer
+Daniel Fabian
+Christopher Faulet
+John Fessenden
+Michael Fig
+Bruce Fitzsimmons
+Magnus Fröberg
+Olivier Girondel
+Sergei Golovan
+Luke Gorrie
+Igor Goryachev
+Joakim Grebenö
+Paul Hampson
 Per Hedeland
-Bruno Rijsman
+Christian Hennig
+Sean Hinde
+hun@n-dimensional.de
+Wes James
+jcortner@cvol.net
 joe_e_e
-Fabian Alenius
+Phanikar.K
+Dimitriy Kargapolov
+Mikael Karlsson
+Bengt Kleberg
+Petter Larsson
+James Lee
+Peter Lemenkov
+Michael Leonhard
+Eric Liang
+Fredrik Linder
+Fabian Linzberger
+Daniel Luna
+Paul Mahon
+Davide Marquês
+Brady McCary
 Tom McNulty
-Joseph Wayen Norton
-Liu Yubao 
-Olivier Girondel
-Davide Marques
-Phanikar.K 
-Haobu Yu
+Chandru Mullaparthi
 Hans Ulrich Niedermann
-Stu Bailey
-Michael Slaski
-John Fessenden
-Oleg Avdeev
-Vance Shipley
-Bill Robertsson
-Robert David
-Steve Vinoski
-Willem de Jong
-Adam Boz
-Richard Bucker
-John Webb
-Igor goryachev.
-Brian Templeton
+Chris Newcombe
 Julian Noble
-Daniel Luna
-Michael Fig
-Jason Andersson
-Michael Leonhard
-Chris NewCombe
-Matthew Reilley
+Joseph Wayne Norton
 Anders Nygren
-Kuzma Bartosz
-Bengt Kleberg
-Sergei Golovan
-yariv sedan
-Gaspar Chilingarov
-Mats Cronquist. 
-Sebasitian Strollo
-doccarcass
-Karel Ostrovsky
-Daniel Fabian
-Michael Arnoldus
+Thomas O'Dowd
+Jimmy Olgeni
 Lennart Ostman
+Karel Ostrovsky
+Erik Pearson
+Jean-Sébastien Pédron
+Yurii Rashkovskii
+Praveen Ray
+Matthew Reilly
+Mickael Remond
+Bruno Rijsman
+Bill Robertsson
 Jouni Ryno
-Mikael Karlsson
-Martin Björklund
-Paul Mahon
-Fredrik Linder
-David Welton
-Jimmy Olgeni
-Tomas Abrahamsson
-Chandru 
-Hal Snyder
-Joakim Grebenö
-Magnus Fröberg
+Yariv Sadan
+Kostis Sagonas
 Rob Schmersel
-Leon Smith
-Eric Baur
 Carsten Schultz
+Yariv Sedan
+Vance Shipley
+Alexander Simonov
+Michael Slaski
+Leon Smith
+Hal Snyder
+Andrei Soroker
+Matt Stancliff
+Sebastian Stroll
 Taavi Talvik
-Erik Pearson
-jcortner@cvol.net
-Sean Hinde
-Johan Bevemyr
-Joe Armstrong.
+Brian Templeton
+Nicolas Thauvin
+Fredrik Thulin
 Torbjörn Törnqvist
+Steve Vinoski
+Lev Walkin
+wde
+John Webb
+David Welton
 Claes Wikström
+Dan Willemsen
+Haobu Yu
+Liu Yubao
diff -ur old/yaws/www/news new/yaws/www/news
--- old/yaws/www/news	2011-05-24 22:28:44.000000000 +0200
+++ new/yaws/www/news	2011-05-25 23:33:26.000000000 +0200
@@ -1,21 +1,21 @@
 Tue May 24 21:25:00 CEST 2011  Yaws 1.90
-Highlights in this release are the capflam patchset, a really long list of general improvements by Jean-Sebastien Pedron  and Christopher Faulet. Also rebar support has been added by Steve and Tuncur. Finally, Steve has added JSON 2.0 support. Thus this is a major release. Lot's of new little features and also lot's of bug fixes.
+Highlights in this release are the capflam patchset, a really long list of general improvements by Jean-Sebastien Pedron  and Christopher Faulet. Also rebar support has been added by Steve and Tuncer. Finally, Steve has added JSON 2.0 support. Thus this is a major release. Lot's of new little features and also lot's of bug fixes.
 always store a tuple in #headers.authorization (Jean-Sebastien Pedron)
-improve daemon status output (capflam)
-allow Server header customization (capflam)
-add shaper directive to control access (capflam)
-allow conf file pathname config with app env var (capflam)
-soft yaws shutdown (capflam)
-arg_rewrite mods can now return HTTP responses (capflam)
-support external handler to interpret php scripts (capflam)
-add status option to page options (capflam)
-allow multiple listen directives per server (capflam)
-server-specific logger_mod and auth_mod (capflam)
-support parsing of literal IPv6 addresses (capflam)
-allow hard reload of conf without stopping (capflam)
-add control for "Expires" and "Cache-Control" response headers (capflam) Christopher Faulet
-add "application/javascript" as a compressible mime type (capflam)
-use "partial_post_size" for chunked requests (capflam) Christopher Faulet
+improve daemon status output (capflam) (Christopher Faulet)
+allow Server header customization (capflam) (Christopher Faulet)
+add shaper directive to control access (capflam) (Christopher Faulet)
+allow conf file pathname config with app env var (capflam) (Christopher Faulet)
+soft yaws shutdown (capflam) (Christopher Faulet)
+arg_rewrite mods can now return HTTP responses (capflam) (Christopher Faulet)
+support external handler to interpret php scripts (capflam) (Christopher Faulet)
+add status option to page options (capflam) (Christopher Faulet)
+allow multiple listen directives per server (capflam) (Christopher Faulet)
+server-specific logger_mod and auth_mod (capflam) (Christopher Faulet)
+support parsing of literal IPv6 addresses (capflam) (Christopher Faulet)
+allow hard reload of conf without stopping (capflam) (Christopher Faulet)
+add control for "Expires" and "Cache-Control" response headers (capflam) (Christopher Faulet)
+add "application/javascript" as a compressible mime type (capflam) (Christopher Faulet)
+use "partial_post_size" for chunked requests (capflam) (Christopher Faulet)
 authorization improvements, including ACLs like apache mod_access (capflam) (Christopher Faulet)
 Yaws can now be built with rebar (Tuncer Ayaz and Steve Vinoski)
 Updated Yaws JSON-RPC support to version 2.0 (Steve Vinoski)