diff -ur orig/Portfile new/Portfile
--- orig/Portfile	2011-05-31 22:51:39.000000000 +0200
+++ new/Portfile	2011-05-31 23:12:03.000000000 +0200
@@ -4,7 +4,7 @@
 PortSystem          1.0
 
 name                yaws
-version             1.89
+version             1.90
 categories          www
 maintainers         googlemail.com:ciserlohn
 platforms           darwin
@@ -15,8 +15,8 @@
 homepage            http://yaws.hyber.org/
 master_sites        http://yaws.hyber.org/download/
 
-checksums           sha1    3f6cc88eb7f154f017f78f1ad07eff5521e7319c \
-                    rmd160  9fc274a9ddc82cc83bceeaed133758ee71c2951e
+checksums           sha1    85ce8a738e9691dfc2b9280e313458eafe441bdc \
+                    rmd160  92d7ed2fdec826cbca3084dd18816f6bb329ef37
 
 depends_build       port:erlang
 
diff -ur orig/files/patch-configure.in new/files/patch-configure.in
--- orig/files/patch-configure.in	2011-05-31 22:51:39.000000000 +0200
+++ new/files/patch-configure.in	2011-05-31 23:12:29.000000000 +0200
@@ -1,9 +1,9 @@
---- configure.in.orig	2010-03-18 16:02:47.000000000 -0500
-+++ configure.in	2010-08-29 04:04:04.000000000 -0500
-@@ -235,17 +235,6 @@
-          *darwin*)
+--- configure.in.orig	2011-05-31 23:06:43.000000000 +0200
++++ configure.in	2011-05-31 23:08:41.000000000 +0200
+@@ -255,17 +255,6 @@
+            AC_LANG(C)
             AC_CHECK_LIB([c],[sendfile],[HAVE_SENDFILE=true])
-            case "$target_os" in
+            case "$host_os" in
 -               darwin10*)
 -                   AC_LANG(Erlang)
 -                   AC_RUN_IFELSE(
Only in new/files: patch-configure.in.orig
diff -ur orig/files/patch-man-yaws.1 new/files/patch-man-yaws.1
--- orig/files/patch-man-yaws.1	2011-05-31 22:51:39.000000000 +0200
+++ new/files/patch-man-yaws.1	2011-05-31 23:12:29.000000000 +0200
@@ -1,14 +1,15 @@
---- man/yaws.1.orig	2009-11-09 10:01:46.000000000 +0200
-+++ man/yaws.1	2009-11-09 10:01:51.000000000 +0200
-@@ -54,9 +54,9 @@
- .TP
+--- man/yaws.1.orig	2011-05-30 23:07:05.000000000 +0200
++++ man/yaws.1	2011-05-30 23:09:45.000000000 +0200
+@@ -55,10 +55,10 @@
  \fB\--conf file\fR
- Use a different configuration file than the default. The default configuration file
--when running as root is /etc/yaws/yaws.conf. When running as a non priviliged user, yaws
-+when running as root is __PREFIX/etc/yaws/yaws.conf. When running as a non priviliged user, yaws
- will search for its configuration file in the following order. First in
--$HOME/yaws.conf, then in ./yaws.conf and finally in /etc/yaws/yaws.conf
-+$HOME/yaws.conf, then in ./yaws.conf and finally in __PREFIX/etc/yaws/yaws.conf
+ Use a different configuration file than the default. If the configuration
+ parameter \fIconfig\fR is set, yaws use it as default configuration file. Else,
+-The default configuration file when running as root is /etc/yaws/yaws.conf. When
++The default configuration file when running as root is __PREFIX/etc/yaws/yaws.conf. When
+ running as a non priviliged user, yaws will search for its configuration file in
+ the following order. First in $HOME/yaws.conf, then in ./yaws.conf and finally
+-in /etc/yaws/yaws.conf.
++in __PREFIX/etc/yaws/yaws.conf.
  .TP
  \fB\--runmod module\fR
  Tells yaws to call \fImodule:start/0\fR at startup. This makes it possible
diff -ur orig/files/patch-man-yaws.conf.5 new/files/patch-man-yaws.conf.5
--- orig/files/patch-man-yaws.conf.5	2011-05-31 22:51:39.000000000 +0200
+++ new/files/patch-man-yaws.conf.5	2011-05-31 23:12:29.000000000 +0200
@@ -1,5 +1,5 @@
---- man/yaws.conf.5.orig	2010-03-18 16:02:47.000000000 -0500
-+++ man/yaws.conf.5	2010-08-29 03:54:35.000000000 -0500
+--- man/yaws.conf.5.orig	2011-05-30 23:07:43.000000000 +0200
++++ man/yaws.conf.5	2011-05-30 23:13:30.000000000 +0200
 @@ -1,6 +1,6 @@
  .TH YAWS.CONF "5" "" "" "User Commands"
  .SH NAME
@@ -8,7 +8,7 @@
  .SH DESCRIPTION
  .\" Add any additional description here
  .PP
-@@ -743,7 +743,7 @@
+@@ -1057,7 +1057,7 @@
                  dir = secret/dir1
          </auth>
          <opaque>
@@ -17,7 +17,7 @@
          </opaque>
  </server>
  
-@@ -785,8 +785,8 @@
+@@ -1099,8 +1099,8 @@
          listen = 192.168.128.32
          docroot = /var/yaws/www_funky_org
          <ssl>
diff -ur orig/files/patch-man-yaws_api.5 new/files/patch-man-yaws_api.5
--- orig/files/patch-man-yaws_api.5	2011-05-31 22:51:39.000000000 +0200
+++ new/files/patch-man-yaws_api.5	2011-05-31 23:12:29.000000000 +0200
@@ -1,6 +1,6 @@
---- man/yaws_api.5.orig	2009-11-09 10:04:05.000000000 +0200
-+++ man/yaws_api.5	2009-11-09 10:04:21.000000000 +0200
-@@ -379,7 +379,7 @@
+--- man/yaws_api.5.orig	2011-05-30 23:08:14.000000000 +0200
++++ man/yaws_api.5	2011-05-30 23:11:32.000000000 +0200
+@@ -388,7 +388,7 @@
  .TP
  \fBsetconf(Gconf, Groups)\fR
  This function is intended for embedded mode in yaws. It makes it possible
diff -ur orig/files/patch-scripts-Install new/files/patch-scripts-Install
--- orig/files/patch-scripts-Install	2011-05-31 22:51:39.000000000 +0200
+++ new/files/patch-scripts-Install	2011-05-31 23:12:29.000000000 +0200
@@ -1,9 +1,11 @@
---- scripts/Install.orig	2009-11-09 10:04:44.000000000 +0200
-+++ scripts/Install	2009-11-09 10:08:54.000000000 +0200
-@@ -37,58 +37,58 @@
+--- scripts/Install.orig	2011-05-30 23:15:13.000000000 +0200
++++ scripts/Install	2011-05-30 23:20:40.000000000 +0200
+@@ -35,61 +35,6 @@
+ install -d ${destdir}${prefix}/lib/yaws/examples/ebin
+ install -d ${destdir}${prefix}/lib/yaws/examples/include
  
- ## seems gentoo don't like to be installed in /usr/local/etc
- ## since /sbin/runscript still reads /etc/conf.d
+-## seems gentoo don't like to be installed in /usr/local/etc
+-## since /sbin/runscript still reads /etc/conf.d
 -if [ -f /etc/gentoo-release ]; then
 -    install -d ${destdir}${etcdir}/init.d/
 -    install -d ${destdir}${etcdir}/conf.d/
@@ -51,63 +53,12 @@
 -    sed -e "s;%prefix%;$p;g" -e "s;%etcdir%;$e;g" freebsd/yaws.sh > ${destdir}${etcdir}/rc.d/yaws.sh
 -elif [ "`uname -s`" = "NetBSD" ]; then
 -    sed -e "s;%prefix%;$p;g" -e "s;%etcdir%;$e;g" netbsd/yaws.sh > /etc/rc.d/yaws
--else    
--    install -d ${destdir}${etcdir} 
--    echo "Don't know how to make /etc/init scrips for this system"
+-else
+-    install -d ${destdir}${etcdir}
+-    echo "Don't know how to make /etc/init scripts for this system"
 -    echo "possibly add ${prefix}/bin/yaws --daemon --heart to your /etc/rc.local manually"
 -fi
-+# if [ -f /etc/gentoo-release ]; then
-+#     install -d ${destdir}${etcdir}/init.d/
-+#     install -d ${destdir}${etcdir}/conf.d/
-+#     install -d ${destdir}${vardir}/run/yaws
-+#     chmod a+rwx ${destdir}${vardir}/run/yaws
-+#     sed -e  "s;%prefix%;$p;g"  \
-+# 	-e "s;%etcdir%;$e;g" gentoo/init.d.yaws > ${destdir}${etcdir}/init.d/yaws
-+#     chmod +x ${destdir}${etcdir}/init.d/yaws
-+# elif [ -f /etc/redhat-release ]; then
-+#     install -d ${destdir}${etcdir}/init.d
-+#     sed -e "s;%prefix%;$p;g" \
-+# 	-e "s;%etcdir%;$e;g" redhat/yaws.init.d >  ${destdir}${etcdir}/init.d/yaws
-+#     chmod +x ${destdir}${etcdir}/init.d/yaws
-+#     install -d ${destdir}${vardir}/run/yaws
-+#     chmod a+rwx ${destdir}${vardir}/run/yaws
-+# elif [ -f /etc/suseservers ]; then
-+#     install -d ${destdir}${etcdir}/init.d
-+#     sed -e "s;%prefix%;$p;g" \
-+# 	-e "s;%etcdir%;$e;g" suse/yaws.init.d/ > ${destdir}${etcdir}/init.d/yaws
-+#     chmod +x ${destdir}${etcdir}/init.d/yaws
-+#     install -d ${destdir}${vardir}/run/yaws
-+#     chmod a+rwx ${destdir}${vardir}/run/yaws
-+# elif [ -f /etc/debian_version ]; then
-+#     install -d ${destdir}${etcdir}/init.d
-+#     sed -e "s;%prefix%;$p;g" \
-+# 	-e "s;%etcdir%;$e;g" debian/yaws.init.d >  ${destdir}${etcdir}/init.d/yaws
-+#     chmod +x ${destdir}${etcdir}/init.d/yaws
-+#     install -d ${destdir}${vardir}/run/yaws
-+#     chmod a+rwx ${destdir}${vardir}/run/yaws
-+# 
-+# elif [ "`uname -s`" = "Darwin" -a `id -u` = 0 ]; then
-+#      startupdir="/Library/StartupItems/Yaws"
-+#      if [ ! -e ${startupdir} ]; then
-+#        mkdir ${startupdir};
-+#      elif [ ! -d ${startupdir} ]; then
-+# 	 echo "${startupdir} exists but is not a directory, bailing out ..."
-+# 	 exit 1
-+#      fi
-+#      sed -e "s;%prefix%;$p;g" darwin/Yaws.StartupItem > ${startupdir}/Yaws
-+#      chmod +x ${startupdir}/Yaws
-+#      cp darwin/Yaws.plist ${startupdir}/StartupParameters.plist
-+#       # MacOS is particular about the ownership of startup items.
-+#      chown -R root:wheel ${startupdir}
-+# elif [ "`uname -s`" = "FreeBSD" ]; then
-+#     sed -e "s;%prefix%;$p;g" -e "s;%etcdir%;$e;g" freebsd/yaws.sh > ${destdir}${etcdir}/rc.d/yaws.sh
-+# elif [ "`uname -s`" = "NetBSD" ]; then
-+#     sed -e "s;%prefix%;$p;g" -e "s;%etcdir%;$e;g" netbsd/yaws.sh > /etc/rc.d/yaws
-+# else    
-+#     install -d ${destdir}${etcdir} 
-+#     echo "Don't know how to make /etc/init scrips for this system"
-+#     echo "possibly add ${prefix}/bin/yaws --daemon --heart to your /etc/rc.local manually"
-+# fi
+-
  
  
  
diff -ur orig/files/patch-scripts-yaws.conf.template new/files/patch-scripts-yaws.conf.template
--- orig/files/patch-scripts-yaws.conf.template	2011-05-31 22:51:39.000000000 +0200
+++ new/files/patch-scripts-yaws.conf.template	2011-05-31 23:12:29.000000000 +0200
@@ -1,25 +1,23 @@
---- scripts/yaws.conf.template.orig	2010-03-18 16:02:47.000000000 -0500
-+++ scripts/yaws.conf.template	2010-08-29 03:57:15.000000000 -0500
-@@ -15,7 +15,7 @@
- # beam code can be placed. The daemon will add this
- # directory to its search path
- 
+--- scripts/yaws.conf.template.orig	2011-05-30 23:16:15.000000000 +0200
++++ scripts/yaws.conf.template	2011-05-30 23:31:41.000000000 +0200
+@@ -10,13 +10,13 @@
+ # These are the paths to directories where additional
+ # beam code can be placed. The daemon will add these
+ # directories to its search path.
 -ebin_dir = %yawsdir%/examples/ebin
 +ebin_dir = %yawsdir%/ebin
  ebin_dir = %vardir%/yaws/ebin
  
- 
-@@ -23,7 +23,7 @@
- # files can be placed. application specifig .yaws code can
- # then include these .hrl files
- 
+ # This is a directory where application specific .hrl
+ # files can be placed. Application-specific .yaws code can
+ # then include these .hrl files.
 -include_dir = %yawsdir%/examples/include
 +include_dir = %yawsdir%/include
  
  # Set this to an integer value to control
- # max number of connections from clients into the server
-@@ -130,35 +130,35 @@
-         appmods = <cgi-bin, yaws_appmod_cgi>        
+ # max number of connections from clients into the server.
+@@ -113,32 +113,32 @@
+         appmods = <cgi-bin, yaws_appmod_cgi>
  </server>
  
 -<server localhost>
@@ -27,6 +25,7 @@
 -        listen = 0.0.0.0
 -        docroot = /tmp
 -        dir_listings = true
+-        auth_log = true
 -        statistics = true
 -        <auth>
 -                realm = foobar
@@ -35,46 +34,44 @@
 -                user = baz:bar
 -        </auth>
 -</server>
-+# <server localhost>
-+#         port = %port%
-+#         listen = 0.0.0.0
-+#         docroot = __PREFIX/tmp
-+#         dir_listings = true
-+#         statistics = true
-+#         <auth>
-+#                 realm = foobar
-+#                 dir = /
-+#                 user = foo:bar
-+#                 user = baz:bar
-+#         </auth>
-+# </server>
++#<server localhost>
++#        port = %port%
++#        listen = 0.0.0.0
++#        docroot = /tmp
++#        dir_listings = true
++#        auth_log = true
++#        statistics = true
++#        <auth>
++#                realm = foobar
++#                dir = /
++#                user = foo:bar
++#                user = baz:bar
++#        </auth>
++#</server>
  
- 
- 
- # And then an ssl server
+ # Now an SSL server
  
 -<server %host%>
 -        port = %sslport%
 -        docroot = /tmp
 -        listen = 0.0.0.0
 -        dir_listings = true
--        <ssl>  
+-        auth_log = true
+-        <ssl>
 -                keyfile = %certdir%/yaws-key.pem
 -                certfile = %certdir%/yaws-cert.pem
 -                depth = 0
 -        </ssl>
 -</server>
-+# <server %host%>
-+#         port = %sslport%
-+#         docroot = __PREFIX/tmp
-+#         listen = 0.0.0.0
-+#         dir_listings = true
-+#         <ssl>  
-+#                 keyfile = %certdir%/yaws-key.pem
-+#                 certfile = %certdir%/yaws-cert.pem
-+#                 depth = 0
-+#         </ssl>
-+# </server>
-                                 
-         
- 
++#<server %host%>
++#        port = %sslport%
++#        docroot = /tmp
++#        listen = 0.0.0.0
++#        dir_listings = true
++#        auth_log = true
++#        <ssl>
++#                keyfile = %certdir%/yaws-key.pem
++#                certfile = %certdir%/yaws-cert.pem
++#                depth = 0
++#        </ssl>
++#</server>