--- Portfile.orig	2011-05-21 22:30:17.000000000 +0200
+++ Portfile	2011-06-24 19:38:27.000000000 +0200
@@ -4,7 +4,7 @@
 PortSystem 1.0
 
 name                octave-devel
-version             3.4.0
+version             3.4.2
 conflicts           octave
 categories          math science
 maintainers         michaelld openmaintainer
@@ -23,9 +23,9 @@
 distname            octave-${version}
 use_bzip2           yes
 
-checksums           md5     c8144cee1d37e645d3368a8e8a5f1856 \
-                    sha1    936a8fc962abd96e7568fb5909ec2a4d7997a1a8 \
-                    rmd160  8448fc8277e19dab8dbc5c0121e673e9198c74ec
+checksums           md5     31c744ab4555a2bf04d5e644b93f9b51 \
+                    sha1    12cac29ef7d1ab8374980e1e2fd14637b2f15ba5 \
+                    rmd160  ad2222ad0b3e0f1dd6db1ff8ca93c0666b95e3a0
 
 depends_build       port:bison \
                     port:flex \
@@ -53,19 +53,17 @@
                     port:readline \
                     port:qhull \
                     port:qrupdate \
-                    port:SuiteSparse
+                    port:SuiteSparse \
+                    port:fltk-devel
 
 # allow non-Apple compilers to work with FLTK by removing the -arch
 # flag, which means this port cannot easy compile as universal.
-patchfiles-append patch-configure.diff
+# patchfiles-append patch-configure.diff
 
 universal_variant   no
 
 configure.args      --without-x \
-                    --enable-shared \
-                    --enable-dl \
-                    --disable-docs \
-                    --disable-openmp
+                    --disable-docs
 
 # do not build static libraries; just shared
 #                    --enable-static
@@ -74,26 +72,7 @@
 ### 'cholmod' one), but are included for completion.  Ordering is the
 ### same as in './configure --help'.
 configure.args-append \
-                    --enable-readline \
-                    --enable-extra-warning-flags \
-                    --with-qhull \
-                    --with-z \
-                    --with-hdf5 \
-                    --with-fftw3 \
-                    --with-fftw3f \
-                    --with-glpk \
-                    --with-curl \
-                    --with-blas \
-                    --with-lapack \
-                    --with-qrupdate \
-                    --with-amd \
-                    --with-camd \
-                    --with-colamd \
-                    --with-ccolamd \
-                    --with-cholmod="-lcholmod -lmetis" \
-                    --with-cxsparse \
-                    --with-umfpack \
-                    --with-arpack
+                    --with-cholmod="-lcholmod -lmetis"
 
 ### the following are probably not necessary, but are included for
 ### completion.
@@ -101,15 +80,12 @@
 # perl, gawk, gsed, flex, bison, texinfo.  python is not used if perl
 # is available, so clear it out.  FLTK doesn't work as of 1.3.x-r7794,
 # so disable it entirely (via "no" here and a configure patch).
-configure.perl      ${prefix}/bin/perl
-configure.python    ' '
-configure.awk       ${prefix}/bin/gawk
-configure.env-append SED="${prefix}/bin/gsed" \
-                     TEXI2DVI="${prefix}/bin/texi2dvi" \
-                     TEXI2PDF="${prefix}/bin/texi2pdf" \
-                     FLTK_CONFIG=no
-configure.cppflags
-configure.ldflags
+#configure.perl      ${prefix}/bin/perl
+#configure.python    ' '
+#configure.awk       ${prefix}/bin/gawk
+#configure.env-append FLTK_CONFIG=no
+#configure.cppflags
+#configure.ldflags
 
 test.run            yes
 test.target         check
@@ -128,7 +104,8 @@
 # check for default variant
 if { ![variant_isset gcc43] && ![variant_isset gcc44] && \
          ![variant_isset gcc45] && ![variant_isset g95] } {
-    default_variants +gcc44
+#    default_variants +gcc44
+    default_variants +gcc45
 }
 
 # check for just -gcc44
@@ -162,20 +139,20 @@
     configure.args-append --x-includes=${prefix}
 }
 
-variant debug description {Produce debugging information in compiled code} {
-    configure.cflags-delete    -O2
-    configure.cxxflags-delete  -O2
-    configure.fflags-delete    -O2
-    configure.fcflags-delete   -O2
-    configure.f90flags-delete  -O2
-    configure.objcflags-delete -O2
-    configure.cflags-append    -g3 -O0
-    configure.cxxflags-append  -g3 -O0
-    configure.fcflags-append   -g3 -O0
-    configure.f90flags-append  -g3 -O0
-    configure.fflags-append    -g3 -O0
-    configure.objcflags-append -g3 -O0
-}
+#variant debug description {Produce debugging information in compiled code} {
+#    configure.cflags-delete    -O2
+#    configure.cxxflags-delete  -O2
+#    configure.fflags-delete    -O2
+#    configure.fcflags-delete   -O2
+#    configure.f90flags-delete  -O2
+#    configure.objcflags-delete -O2
+#    configure.cflags-append    -g3 -O0
+#    configure.cxxflags-append  -g3 -O0
+#    configure.fcflags-append   -g3 -O0
+#    configure.f90flags-append  -g3 -O0
+#    configure.fflags-append    -g3 -O0
+#    configure.objcflags-append -g3 -O0
+#}
 
 #variant fltk description {Include FLTK option} {
 #    depends_lib-append port:fltk-devel